Subject: Re: Optimizing linking with Blink
From: [email-masked] (Doug Walker)
Date: Mon, 4 Apr 1994 19:56:44 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] (Marcel Timmermans) writes:
|> Hello All,
|> 
|> I have a problem. I want to do optimizing linking with blink (6.7). So only  the
|> procedures wich the main program needed must be include in the finale
|> executable.
|> 
|> I have the following example of the "with"-file:
|> 
|> FROM	MainModule.obj
|> LIBRARY
|> 		DH0:modules/obj/Intuition.obj
|> 		DH0:modules/obj/Exec.obj
|> 		Dh0:modules/obj/Dos.obj
|> TO MainModule SC SD
|> 
|> Can somebody tell me how the structure of the object file must be? So that i can
|> optimizing linking.

You can use any AmigaDOS-format object file as a library.

In fact, you can use the JOIN command to combine all your object 
files into a single library:

   join DH0:modules/obj/Intuition.obj DH0:modules/obj/Exec.obj \
        DH0:modules/obj/Dos.obj AS mylib.lib

-- 
  *****                    / [email-masked]
 *|_o_o|\\     Doug Walker<  BIX, Portal: djwalker
 *|. o.| ||                \ CompuServe: 71165,2274
  | o  |//     
  ====== 
Any opinions expressed are mine, not those of SAS Institute, Inc.